void loadImage() {
    NSString* appFolderPath = [[NSBundle mainBundle] resourcePath];
    NSString* path = [appFolderPath stringByAppendingPathComponent:@"crash.pvr"];
    NSData* data = [NSData dataWithContentsOfFile:path];
    if (!data) {
        NSLog(@"Failed to read image data from %@", path);
        return;
    }

    UIImage* img = [UIImage imageWithData:data];
    if (!img) {
        NSLog(@"Failed to create UIImage");
        return;
    }

    CGImageRef cgImg = [img CGImage];
    if (!cgImg) {
        NSLog(@"Failed to create CGImagge");
        return;
    }

    size_t width = CGImageGetWidth(cgImg);
    size_t height = CGImageGetHeight(cgImg);
    NSLog(@"width: %lu height: %lu", width, height);
    CGColorSpaceRef colorspace = CGColorSpaceCreateDeviceRGB();
    CGContextRef ctx = CGBitmapContextCreate(0, width, height, 8, 0, colorspace, 1);
    CGRect rect = CGRectMake(0, 0, width, height);

    CGContextDrawImage(ctx, rect, cgImg);

    CGColorSpaceRelease(colorspace);
    CGContextRelease(ctx);
}
